package com.fjhx.sale.service.quotation;

import com.fjhx.sale.entity.quotation.po.QuotationProduct;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.quotation.vo.QuotationProductVo;
import com.fjhx.sale.entity.quotation.dto.QuotationProductSelectDto;
import com.fjhx.sale.entity.quotation.dto.QuotationProductDto;


/**
 * <p>
 * 商品-报价单关联表 服务类
 * </p>
 *
 * @author
 * @since 2023-04-14
 */
public interface QuotationProductService extends BaseService<QuotationProduct> {

    /**
     * 商品-报价单关联表分页
     */
    Page<QuotationProductVo> getPage(QuotationProductSelectDto dto);

    /**
     * 商品-报价单关联表明细
     */
    QuotationProductVo detail(Long id);

    /**
     * 商品-报价单关联表新增
     */
    void add(QuotationProductDto quotationProductDto);

    /**
     * 商品-报价单关联表编辑
     */
    void edit(QuotationProductDto quotationProductDto);

    /**
     * 商品-报价单关联表删除
     */
    void delete(Long id);

}
